Summary: Very high level scripting language with X interface
Name: python
Version: 1.5.1
Release: 5
Copyright: distributable
Group: Development/Languages
Source0: ftp://ftp.python.org/pub/python/src/pyth151.tgz
Source1: Python-Doc.tar.gz
Patch0: python-1.5.1-config.patch
Patch1: python-1.4-gccbug.patch
Patch2: python-1.5-localbin.patch
Patch3: Python-1.5.1-nosed.patch
Buildroot: /var/tmp/python-root
Summary(de): Very High-Level-Script-Sprache mit X-Oberflche
Summary(fr): Langage de script de ts haut niveau avec interface X.
Summary(tr): X arayzl, yksek dzeyli, kabuk yorumlayc dili

%description
Python in an interpreted, object orientated scripting language. If contains
support for dynamic loading of objects, classes, modules, and exceptions.
Adding interfaces to new system libraries through C code is straightforward,
making Python easy to use in custom settings. 

This Python package includes most of the standard Python modules, along with
modules for interfacing to the Tix widget set for Tk and RPM.

%package devel
Summary: Libraries and header files for building python code
Requires: python = 1.5.1
Group: Development/Languages
Summary(de): Libraries und Header-Dateien zum Erstellen von Python-Code
Summary(fr): Bibliothques et en-ttes pour construire du code python
Summary(tr): Python ile gelitirme yapmak iin gerekli dosyalar

%description devel
The Python interpreter is relatively easy to extend with dynamically loaded
extensions and to embed in other programs. This packages contains the
header files and libraries which are needed to do both of these tasks.

%package docs
Summary: Documentation on Python
Group: Development/Languages
Summary(de): Dokumentation zu Python 
Summary(fr): Documentation sur Python
Summary(tr): Python belgeleri

%description docs
This package contains documentation on the Python language and interpretor
as a mix of plain ASCII files and LaTeX sources.

%package -n tkinter
Summary: GUI interface for Python
Group: Development/Languages
Requires: libtcl8.0.so libtk8.0.so
Summary(de): Grafischer Oberflche fr Python
Summary(fr): Interface graphique pour python.
Summary(tr): Python iin grafik kullanc arayz

%description -n tkinter
A graphical interface for Python, based on Tcl/Tk, and used by many of
the configuration tools.

%description -l de docs
Dieses Paket enthlt Dokumentationen zu Python (Sprache und Interpreter)
in Form von einfachen ASCII-Dateien und LaTeX-Quellen.

%description -l de -n tkinter
Eine grafische Schnittstelle fr Python, basierend auf Tcl/Tk, und von 
vielen Konfigurations-Tools genutzt. 

%description -l de devel
Der Python-Interpretierer ist relativ einfach anhand von dynamisch 
ladbaren Erweiterungen auszubauen und lt sich in andere 
Programme integrieren. Dieses Paket enthlt die Header-Dateien und 
Libraries, die fr beide Aufgaben erforderlich sind. 

%description -l de
Python ist eine interpretierte, objektorientierte Scriptsprache. Sie untersttzt
dynamisches Laden von Objekten, Klassen, Modulen und Ausnahmen.
Das Hinzufgen von Schnittstellen zu neuen System-Libraries in C-Code ist,
einfach, wodurch sich Python mhelos in benutzerdefinierten Umgebungen
einsetzen lt.
Dieses Python-Paket enthlt die meisten standardmigen Python-Module
sowie Module fr Schnittstellen zum Tix widget set fr Tk und RPM.

%description -l fr docs
Ce paquetage contient la documentation sur le langage python et sur son
interprteur sous forme de fichiers ASCII et LaTeX.

%description -l fr -n tkinter
Interface graphique pour Python, base sur Tcl/Tk et utilise par beaucoup
des outils de configuration.

%description -l fr devel
L'interprteur Python est relativement facile  tendre avec des extensions
charges dynamiquement et  insrer dans d'autres programmes. Ce paquetage
contient les en-ttes et les bibliothques ncessaires  ces deux tches.

%description -l fr
Python est un langage de script interprt et orient objet. Il gre le
chargement dynamique des objets, les classes, les modules et les exceptions.
L'ajout d'interfaces aux nouvelles bibliothques systmes avec du code C est
simple, ce qui rend Python facile  utiliser dans des configs personnalises.

Ce paquetage Python contient la plupart des modules Python standards, ainsi
que ceux permettant l'interfaage avec les widgets Tix pour Tk et RPM.

%description -l tr docs
Bu paket, Python dili ile ilgili belgeleri ve dz ASCII dosyalar ve LaTeX
kaynaklarnn bir karm olan yorumlaycy ierir.

%description -l tr -n tkinter
Python iin Tcl/Tk'ye dayal ve pek ok ayarlama arac tarafndan kullanlan
grafik bir arayzdr.

%description -l tr devel
Bu paket, Python ile gelitirme yaplabilmesi iin gerekli balk dosyalarn
ve kitaplklar ierir.

%description -l tr
Python, nesneye ynelik bir kabuk yorumlaycdr. Nesnelerin, snflarn,
modllerin ve aykr durumlarn dinamik yklenmelerine destek verir. C
koduyla birlikte kullanm son derece kolaydr. Bu paket, standart Python
birimlerinin ounun yansra Tk ve RPM iin arayz birimlerini de ierir.

%prep
%setup -q -n Python-1.5.1 -a1
%patch0 -p1 -b .config
%patch2 -p1 -b .localbin

#%ifarch alpha
#%patch1 -p1
#%endif
%patch3 -p1 -b .nosed
find . -name "*.nosed" -exec rm -f {} \;

echo ': ${LDSHARED='gcc -shared'}' > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${CCSHARED='-fPIC'}' >> config.cache

cp Lib/lib-old/rand.py Lib

%build
MACHDEP=linux-$RPM_ARCH ./configure --prefix=/usr 

LDFLAGS=-s make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib}
make install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/python

rm -f modules-list.full
for n in $RPM_BUILD_ROOT/usr/lib/python1.5/*; do
  [ -d $n ] || echo $n
done >> modules-list.full

for mod in $RPM_BUILD_ROOT/usr/lib/python1.5/lib-dynload/* ; do
  [ `basename $mod` = _tkinter.so ] || echo $mod
done >> modules-list.full
sed -e "s|$RPM_BUILD_ROOT||g" < modules-list.full > modules-list

%clean
rm -rf $RPM_BUILD_ROOT
rm -f modules-list modules-list.full

%files -f modules-list
%defattr(-,root,root)
/usr/bin/*
%dir /usr/lib/python1.5
/usr/lib/python1.5/plat-linux-%{buildarch}
/usr/lib/python1.5/lib-stdwin
%dir /usr/lib/python1.5/lib-dynload

%files devel
%defattr(-,root,root)
/usr/lib/python*/test
/usr/lib/python*/config
/usr/include/python1.5

%files docs
%defattr(-,root,root)
%doc Misc/COPYRIGHT Misc/NEWS Misc/HYPE Misc/README Misc/cheatsheet Misc/BLURB* 
%doc Misc/HISTORY Doc

%files -n tkinter
%defattr(-,root,root)
/usr/lib/python1.5/lib-tk
/usr/lib/python1.5/lib-dynload/_tkinter.so

%changelog
* Thu Sep  3 1998 Jeff Johnson <jbj@redhat.com>
- recompile for RH 5.2.

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- python-docs used to require /usr/bin/sed. Changed to /bin/sed instead

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- fixed the spec file for version 1.5.1
- buildroot (!)

* Mon Apr 20 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated to python 1.5.1
- created our own Python-Doc tar file from 1.5 to substitute for the
  not-yet-released Doc package.
- build _tkinter properly
- use readline again
- build crypt module again
- install rand replacement module
- added a few modules

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to python 1.5
- made /usr/lib/python1.5 file list automatically generated

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed dependencies for python and tkinter

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- pulled out tk-related stuff into tkinter package

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- bunches of scripts used /usr/local/bin/python instead of /usr/bin/python

* Tue Sep 30 1997 Erik Troan <ewt@redhat.com>
- updated for tcl/tk 8.0

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
